import dynamix_sdk.base as _base


class CloudbrokerAccountAddStoragePolicyResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerAccountAddStoragePolicyProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def add_storage_policy(
        self,
        *,
        account_id: int,
        storage_policy_id: int,
        storage_size_gb: int | None = None,
    ) -> CloudbrokerAccountAddStoragePolicyResultBool:
        ...
